writeCelHeader {affxparser} | R Documentation

## Writes a CEL header to a connection

### Description

Writes a CEL header to a connection.

### Usage

    writeCelHeader(con, header, outputVersion=c("4"), ...)

### Arguments

`con` | A `connection`.
`header` | A `list` structure describing the CEL header, similar to the structure returned by `readCelHeader`().
`outputFormat` | A `character` string specifying the output format. Currently only CEL version 4 (binary;XDA) are supported.
`...` | Not used.

### Details

Currently only CEL version 4 (binary;XDA) headers can be written.

### Value

Returns (invisibly) the pathname of the file created.

### Redundant fields

The CEL v4 header contains redundant information. To avoid inconsistency this method generates such redundant values from the original values. This is consistent to how the CEL reader in Fusion SDK does it, cf. `readCelHeader`(). The redundant information is in the (CEL v3) `header` field, which contains the CEL header information as it would appear in the CEL v3 format. This in turn contains a DAT header field reproducing the DAT header from the image analysis. It is from this DAT header that the chip type is extracted.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

[Package affxparser version 1.10.2 Index]